> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/financialaccount.md).

# FinancialAccount

The financial account record used for accounting

| Name               | Type                                                                           | Description                                               |
| ------------------ | ------------------------------------------------------------------------------ | --------------------------------------------------------- |
| accountNumber      | String                                                                         | The account number of the financial account               |
| accountType        | [FinancialAccountType](/developer/api-reference/enums.md#financialaccounttype) | The type of the financial account                         |
| accountTypeLabel   | String                                                                         | The label of the financial account type                   |
| active             | Boolean                                                                        | Whether the financial account is active                   |
| code               | String                                                                         | Custom unique identifier for the financial account        |
| createdAt          | ISO8601DateTime                                                                | Datetime the financial account was created                |
| defaultAccount     | Boolean                                                                        | Whether the financial account is the default for the type |
| description        | String                                                                         | A description of the financial account                    |
| entity             | [Entity](/developer/api-reference/types/entity.md)                             | The entity this account belongs to                        |
| entityId           | ID                                                                             | The entity the financial account belongs to               |
| externalId         | String                                                                         | The external ID of the financial account                  |
| id                 | ID                                                                             | Unique ID for the financial account                       |
| longName           | String                                                                         | The name and code of the financial account                |
| name               | String                                                                         | The name of the financial account                         |
| pluginId           | ID                                                                             | The plugin ID of the financial account                    |
| priceListChargeIds | List (ID)                                                                      |                                                           |
| source             | String                                                                         | The source of the financial account                       |
| updatedAt          | ISO8601DateTime                                                                | Datetime the financial account was last updated           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/financialaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
